Mail archive
alpine-aports

[alpine-aports] [PATCH] main/curl: security upgrade to 7.50.2 (CVE-2016-7141)

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Wed, 7 Sep 2016 19:52:43 -0400

---
 main/curl/APKBUILD | 27 ++++++++++-----------------
 1 file changed, 10 insertions(+), 17 deletions(-)
diff --git a/main/curl/APKBUILD b/main/curl/APKBUILD
index a43112f..d81ec1a 100644
--- a/main/curl/APKBUILD
+++ b/main/curl/APKBUILD
_at_@ -2,7 +2,7 @@
 # Contributor: Ɓukasz Jendrysik <scadu_at_yandex.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=curl
-pkgver=7.50.1
+pkgver=7.50.2
 pkgrel=0
 pkgdesc="An URL retrival utility and library"
 url="http://curl.haxx.se"
_at_@ -15,6 +15,8 @@ source="http://curl.haxx.se/download/$pkgname-$pkgver.tar.bz2"
 subpackages="$pkgname-doc $pkgname-dev libcurl"
 
 # secfixes:
+#   7.50.2:
+#     - CVE-2016-7141
 #   7.50.1:
 #     - CVE-2016-5419
 #     - CVE-2016-5420
_at_@ -23,19 +25,10 @@ subpackages="$pkgname-doc $pkgname-dev libcurl"
 #     - CVE-2014-0138
 #     - CVE-2014-0139
 
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -51,8 +44,8 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 }
 
 libcurl() {
_at_@ -61,6 +54,6 @@ libcurl() {
 	mv "$pkgdir"/usr/lib "$subpkgdir"/usr
 }
 
-md5sums="015f6a0217ca6f2c5442ca406476920b  curl-7.50.1.tar.bz2"
-sha256sums="3c12c5f54ccaa1d40abc65d672107dcc75d3e1fcb38c267484334280096e5156  curl-7.50.1.tar.bz2"
-sha512sums="94acd91fcf8ff2605e1ba2d086c2c366257b61eaf516b9ea44e574e315feb5b30f6e47d89051f259e026ef5dd9edde5f7b15a6af9ee6a38f641da354e1e677b1  curl-7.50.1.tar.bz2"
+md5sums="6e161179f7af4b9f8b6ea21420132719  curl-7.50.2.tar.bz2"
+sha256sums="0c72105df4e9575d68bcf43aea1751056c1d29b1040df6194a49c5ac08f8e233  curl-7.50.2.tar.bz2"
+sha512sums="5db4fba920f1627e545ddf774ceaafe3afce43c85aaa8aa7842337fe6cbc031aa597d9d80457c5d52bc7a0c218de30bb29802383e1d81e3f220186212dade342  curl-7.50.2.tar.bz2"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Sep 07 2016 - 19:52:43 GMT